# $Revision: 1.97 $, $Date: 2006/10/01 13:10:03 $
Summary:	DConnect Daemon - Hub D****ct Connect for Linux
Summary(pl):	DConnect Daemon - Hub D****ct Connecta dla Linuksa
Name:		dcd
Version:	1.0.0
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	ftp://pollux.ds.pg.gda.pl/pub/Linux/DConnect/sources/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	0876376fd87c59f5d6000327061d0423
URL:		http://www.dc.ds.pg.gda.pl/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(triggerpostun):	sed >= 4.0
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Linux D*** Connect Hub implementation for Linux. It works in
daemon mode and utilizes threads.

%description -l pl
Pakiet zawiera linuksow implementacj huba D*** Connecta, ktry
pracuje jako demon i uywa wtkw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-config-dir=%{_sysconfdir}/dcd \
	--with-user=daemon \
	--with-group=daemon

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d,logrotate.d},/var/log/archiv/dcd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install contrib/PLD/dcd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dcd
install contrib/dcd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/dcd
install contrib/logrotate.dcd $RPM_BUILD_ROOT/etc/logrotate.d/dcd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dcd
%service dcd restart "DConnect Daemon"

%preun
if [ "$1" = "0" ]; then
	%service dcd stop
	/sbin/chkconfig --del dcd
fi

%triggerpostun -- dcd < 0.3.5
echo "Upgrading from version < 0.3.5"
if [ -e /etc/dcd/console.users.rpmsave ]; then
	cp /etc/dcd/dcd.users /etc/dcd/dcd.users.rpmnew
	cp /etc/dcd/console.users.rpmsave /etc/dcd/dcd.users
fi
umask 002
echo "Remember to review config - console users has been changed into dcd.users"
cp /etc/dcd/dcd.conf /etc/dcd/dcd.conf.rpmsave
sed -i -e 's/console.users/dcd.users/g' /etc/dcd/dcd.conf

%triggerpostun -- dcd < 0.4.6
echo "Upgrading from version < 0.4.6"
sed -i -e 's/minimum_sleep_time\b/minimal_sleep_time/' /etc/dcd/dcd.conf

%triggerpostun -- dcd < 0.4.9
echo "Upgrading from version < 0.4.9"
sed -i -e 's/ping_timeout/idle_timeout/' /etc/dcd/dcd.conf

%triggerpostun -- dcd < 0.5.5
echo "Upgrading from version < 0.5.5"
sed -i -e 's/listen_interface/bind_address/' /etc/dcd/dcd.conf

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS FAQ NEWS README TODO USERCOMMANDS
%attr(755,daemon,root) %dir %{_sysconfdir}/dcd
%attr(660,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/console.allow
%attr(660,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.users
%attr(660,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.banned
%attr(660,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.hublinks
%attr(660,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.usercommands
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.penalties
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.conf
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.motd
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.welcome
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/nicks.allow
%attr(664,root,daemon) %config(noreplace) %{_sysconfdir}/dcd/dcd.rules
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dcd
%config(noreplace) /etc/logrotate.d/dcd
%attr(755,root,root) %{_sbindir}/dcd
%attr(755,root,root) %{_sbindir}/dcd.adduser
%attr(754,root,root) /etc/rc.d/init.d/dcd
%attr(751,daemon,root) %dir /var/log/dcd
%attr(751,daemon,root) %dir /var/log/archiv/dcd
%{_mandir}/man1/*.1*
%{_mandir}/man2/*.2*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dcd.spec,v $
Revision 1.97  2006/10/01 13:10:03  blues
- 1.0.0 - STBR to AC and TH

Revision 1.96  2006/09/16 14:20:26  blues
- 0.9.4

Revision 1.95  2006/09/06 20:00:41  blues
- 0.9.3 - quick userlist major bugfix

Revision 1.94  2006/09/06 19:19:14  blues
- 0.9.2

Revision 1.93  2006/08/31 18:43:30  blues
- 0.9.1 - bugfix release

Revision 1.92  2006/08/30 18:57:53  blues
- 0.9.0 - devel release with hublinks and full protocol support

Revision 1.91  2006/08/08 14:19:07  blues
- 0.7.1 - security update. STBR to AC

Revision 1.90  2006/07/21 19:24:53  blues
- 0.7.0 - it's 0.6.10 released on new name.

Revision 1.89  2006/07/21 18:30:27  blues
- 0.6.10 - STBR to AC

Revision 1.88  2006/06/12 15:20:13  blues
- 0.6.9 - bugfix release - STBR, please

Revision 1.87  2006/06/10 12:33:24  blues
- 0.6.8 - security update - STBR to AC

Revision 1.86  2006/05/25 14:56:06  blues
- 0.6.7 - new stable release; STBR to AC and TH, please...

Revision 1.85  2006/05/20 19:54:17  blues
- 0.6.6 - STBR to AC

Revision 1.84  2006/04/28 10:08:01  blues
- 0.6.5 - bugfix release - STBR to AC

Revision 1.83  2006/04/21 17:44:50  blues
- 0.6.4 - stable release

Revision 1.82  2006/04/21 17:39:29  blues
- 0.6.3 - devel release

Revision 1.81  2006/04/09 20:26:50  blues
- 0.6.2 - devel release, but works fine

Revision 1.80  2006/02/24 15:35:49  glen
- use %service

Revision 1.79  2006/01/24 16:21:55  blues
- 0.6.1 - security fixes (chat forgery). STBR, please.

Revision 1.78  2005/12/12 16:43:43  blues
- 0.6.0

Revision 1.77  2005/11/25 12:12:59  blues
- 0.5.9

Revision 1.76  2005/11/24 17:04:57  qboosh
- R(triggerpostun), use sed 4.0 in the first trigger too

Revision 1.75  2005/11/24 16:53:32  darekr
- PreReq -> Requires

Revision 1.74  2005/11/24 14:55:44  blues
- 0.5.8 - stable

Revision 1.73  2005/10/11 22:07:36  blues
- fetch it! it is there...

Revision 1.72  2005/10/11 21:28:17  blues
- 0.5.6

Revision 1.71  2005/10/02 21:44:25  blues
- 0.5.5

Revision 1.70  2005/06/03 08:19:30  blues
- 0.5.4 - forgotten commit... STBR

Revision 1.69  2005/04/15 21:12:53  dzeus
- up to 0.5.3

Revision 1.68  2005/04/09 17:23:19  darekr
- unify

Revision 1.67  2005/03/21 15:41:42  blues
- 0.5.2 - devel but working very nice :)

Revision 1.66  2005/03/10 17:09:11  blues
- 0.5.1 - devel

Revision 1.65  2005/03/08 09:01:37  blues
- 0.5.0 - faster devel version, but passive search does not work...

Revision 1.64  2005/01/10 19:32:09  paszczus
- updated to 0.4.8

Revision 1.63  2004/12/22 14:17:07  blues
- you're right qboosh - there is no need to keep backup in that case...

Revision 1.62  2004/12/22 13:36:40  blues
- release 1 - qboosh, you're too fast, I wanted to add this req... too late ;)

Revision 1.61  2004/12/22 13:34:03  qboosh
- trigger fixes (no R(trigger), so PreReq needed)

Revision 1.60  2004/12/22 13:27:53  blues
- added trigger to let it work after upgrade

Revision 1.59  2004/12/22 13:12:04  blues
- started update to 0.4.7

Revision 1.58  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.57  2004/10/29 10:05:30  blues
- 0.4.6 - fixed stability problems...

Revision 1.56  2004/10/19 14:45:36  blues
- 0.4.5 - stable release

Revision 1.55  2004/09/20 12:16:07  blues
- 0.4.4

Revision 1.54  2004/09/16 19:07:06  blues
- 0.4.2

Revision 1.53  2004/06/25 15:17:32  blues
- 0.4.1 - STB

Revision 1.52  2004/05/25 11:47:23  blues
- 0.4.0 - stable release with small security fix

Revision 1.51  2004/05/09 21:34:52  blues
- 0.3.9 - fixed few segv

Revision 1.50  2004/05/09 11:34:16  blues
- 0.3.8 - small sec fix. STBR

Revision 1.49  2004/05/06 16:14:33  blues
- 0.3.6 - RC4, fixed stability... STBR

Revision 1.48  2004/04/26 08:02:09  blues
- 0.3.5 - min_slots checking fixed + stability improved

Revision 1.47  2004/04/20 16:51:49  blues
- 0.3.4 - major bugfixes

Revision 1.46  2004/04/18 21:46:39  blues
- 0.3.3 - preStable release (not quite). min_slots is working now.

Revision 1.45  2004/04/15 21:28:54  blues
- 0.3.2 - BOFH-suite release. Implemented punishing system using DC chat.
  STBR

Revision 1.44  2004/02/15 17:43:48  blues
- 0.3.1

Revision 1.43  2004/01/24 15:48:47  blues
- 0.3.0 - stable version

Revision 1.42  2004/01/22 23:17:36  blues
- 0.2.19 (RC5) - stability fixes

Revision 1.41  2004/01/21 08:50:09  blues
- 0.2.18 (RC4) - fixed serious bug

Revision 1.40  2004/01/20 21:38:01  blues
- 0.2.17 - it's RC3, it's quite stable now...

Revision 1.39  2003/11/22 19:08:51  blues
- 0.2.15 - more mem-leaks removed

Revision 1.38  2003/11/14 10:28:22  blues
- 0.2.14 (RC2) mem-leak fixed

Revision 1.37  2003/10/26 21:48:17  blues
- 0.2.13 - fixes memleak and initial min_slots support

Revision 1.36  2003/10/25 18:56:32  blues
- 0.2.12 - security update

Revision 1.35  2003/10/25 12:20:25  blues
- 0.2.11 - this version seems to work fine...

Revision 1.34  2003/10/25 12:05:30  blues
- 0.2.10 - some bugfixes, still not sufficient

Revision 1.33  2003/10/24 20:59:16  blues
- md5 fix

Revision 1.32  2003/10/24 19:52:57  blues
- 0.2.9 - devel version, less stable, but has some really fine features

Revision 1.31  2003/10/16 20:49:40  blues
- 0.2.3 - added passive mode support.

Revision 1.30  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.29  2003/07/29 14:17:58  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.28  2003/05/28 12:58:49  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:46:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/03/20 09:08:26  blues
- 0.2.1 - flood protection and fixes for broken RH libwrap

Revision 1.25  2003/01/10 01:11:22  blues
- 0.1.8 - major cleanup

Revision 1.24  2002/12/22 00:40:09  blues
- 0.1.7 - many new features

Revision 1.23  2002/12/14 11:51:12  blues
- fixed permisions to configs

Revision 1.22  2002/12/14 11:22:00  blues
- 0.1.6 - console authentification, changed configs.

Revision 1.21  2002/12/12 01:09:15  blues
- 0.1.5 - introduced telnet console (this is still devel version...)

Revision 1.20  2002/12/07 14:32:49  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.19  2002/12/07 01:17:20  blues
- URL fixed

Revision 1.18  2002/12/07 01:03:36  blues
- 0.1.4 - really devel version...

Revision 1.17  2002/10/08 07:59:53  blues
- release 3 - added MyINFO patch: prevents crashes when user doesn't have
  enought resources shared. STBR ASAP

Revision 1.16  2002/08/12 07:43:33  kloczek
- release 2: rebuild against lwl 0.9.

Revision 1.15  2002/08/06 21:43:06  blues
- vendor added

Revision 1.14  2002/08/06 21:12:44  blues
- 0.1.0 (some code cleanups, few new features, works really stable)
STBR

Revision 1.13  2002/06/30 11:34:34  blues
- 0.0.7 (few new features)
STBR

Revision 1.12  2002/06/25 09:47:23  blues
- 0.0.6 (buffer overflow removed)
STBR

Revision 1.11  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/06/17 08:05:11  blues
- 0.0.5 (bugfixes - few sig11 killed - works better now)
STBR

Revision 1.9  2002/06/05 00:58:06  blues
- 0.0.4 (working config file - see NEWS)
STBR

Revision 1.8  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/08 16:20:37  blues
- 0.0.3 (overflow removed, libwrap works OK now, generally - works...)
- patch removed (aplied),

Revision 1.6  2002/05/08 13:33:27  blues
- typo

Revision 1.5  2002/05/08 07:22:09  kloczek
- added full regenerate ac/am/lt files (added ac_fixes patch with two small fixes in ac),
- some cosmetics and simplifications,
- remove COPYING from %doc (License is GPL v2).

Revision 1.4  2002/05/07 16:02:50  blues
- cosmetics

Revision 1.3  2002/05/07 16:01:07  blues
- swithc to current webpage and source URL

Revision 1.2  2002/04/30 14:50:16  qboosh
- cosmetics

Revision 1.1  2002/04/28 13:04:02  blues
- initial release
NOTE: This is Direct Connect Hub working in daemon mode. Very Alpha.
Please test it.
